aagc.vo

## Class PeriodoATCResponse

- java.lang.Object
- - aagc.vo.PeriodoATCResponse

-     public class PeriodoATCResponse
      extends java.lang.Object

  Classe Java per periodoATCResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="periodoATCResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="atc" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="descrizione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataInizio">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataFine" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="notaAifa" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="flagPT" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="flagPHT" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `atc`
    `protected java.lang.String` | `dataFine`
    `protected java.lang.String` | `dataInizio`
    `protected java.lang.String` | `descrizione`
    `protected boolean` | `flagPHT`
    `protected boolean` | `flagPT`
    `protected java.lang.String` | `notaAifa`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodoATCResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAtc()` Recupera il valore della proprietà atc.
    `java.lang.String` | `getDataFine()` Recupera il valore della proprietà dataFine.
    `java.lang.String` | `getDataInizio()` Recupera il valore della proprietà dataInizio.
    `java.lang.String` | `getDescrizione()` Recupera il valore della proprietà descrizione.
    `java.lang.String` | `getNotaAifa()` Recupera il valore della proprietà notaAifa.
    `boolean` | `isFlagPHT()` Recupera il valore della proprietà flagPHT.
    `boolean` | `isFlagPT()` Recupera il valore della proprietà flagPT.
    `void` | `setAtc(java.lang.String value)` Imposta il valore della proprietà atc.
    `void` | `setDataFine(java.lang.String value)` Imposta il valore della proprietà dataFine.
    `void` | `setDataInizio(java.lang.String value)` Imposta il valore della proprietà dataInizio.
    `void` | `setDescrizione(java.lang.String value)` Imposta il valore della proprietà descrizione.
    `void` | `setFlagPHT(boolean value)` Imposta il valore della proprietà flagPHT.
    `void` | `setFlagPT(boolean value)` Imposta il valore della proprietà flagPT.
    `void` | `setNotaAifa(java.lang.String value)` Imposta il valore della proprietà notaAifa.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### atc

          protected java.lang.String atc

    - #### descrizione

          protected java.lang.String descrizione

    - #### dataInizio

          protected java.lang.String dataInizio

    - #### dataFine

          protected java.lang.String dataFine

    - #### notaAifa

          protected java.lang.String notaAifa

    - #### flagPT

          protected boolean flagPT

    - #### flagPHT

          protected boolean flagPHT

  - ### Constructor Detail

    - #### PeriodoATCResponse

          public PeriodoATCResponse()

  - ### Method Detail

    - #### getAtc

          public java.lang.String getAtc()

      Recupera il valore della proprietà atc.
      Returns:
        possible object is `String`

    - #### setAtc

          public void setAtc(java.lang.String value)

      Imposta il valore della proprietà atc.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrizione

          public java.lang.String getDescrizione()

      Recupera il valore della proprietà descrizione.
      Returns:
        possible object is `String`

    - #### setDescrizione

          public void setDescrizione(java.lang.String value)

      Imposta il valore della proprietà descrizione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizio

          public java.lang.String getDataInizio()

      Recupera il valore della proprietà dataInizio.
      Returns:
        possible object is `String`

    - #### setDataInizio

          public void setDataInizio(java.lang.String value)

      Imposta il valore della proprietà dataInizio.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFine

          public java.lang.String getDataFine()

      Recupera il valore della proprietà dataFine.
      Returns:
        possible object is `String`

    - #### setDataFine

          public void setDataFine(java.lang.String value)

      Imposta il valore della proprietà dataFine.
      Parameters:
        `value` - allowed object is `String`

    - #### getNotaAifa

          public java.lang.String getNotaAifa()

      Recupera il valore della proprietà notaAifa.
      Returns:
        possible object is `String`

    - #### setNotaAifa

          public void setNotaAifa(java.lang.String value)

      Imposta il valore della proprietà notaAifa.
      Parameters:
        `value` - allowed object is `String`

    - #### isFlagPT

          public boolean isFlagPT()

      Recupera il valore della proprietà flagPT.

    - #### setFlagPT

          public void setFlagPT(boolean value)

      Imposta il valore della proprietà flagPT.

    - #### isFlagPHT

          public boolean isFlagPHT()

      Recupera il valore della proprietà flagPHT.

    - #### setFlagPHT

          public void setFlagPHT(boolean value)

      Imposta il valore della proprietà flagPHT.